### File

`packages/eui/packages/components-next/src/lib/components/eui-dropdown-button-menu/eui-dropdown-button-child-menu.component.ts`

### Metadata

changeDetection | `ChangeDetectionStrategy.OnPush`
encapsulation | `ViewEncapsulation.None`
selector | `eui-dropdown-button-child-menu`
styleUrls | `./styles/_index.scss`
templateUrl | `./eui-dropdown-button-child-menu.component.html`

### Index

###### Properties
Public childMenu
###### Methods
onClick onKeyDown
###### Inputs
menuItems

### Constructor

`constructor(nestedItemService: EuiDropdownButtonMenuService)`
Parameters :
Name | Type | Optional
nestedItemService | `EuiDropdownButtonMenuService` | No

### Inputs

menuItems
Type : `EuiDropdownButtonMenuItem[]`

### Methods

onClick
`onClick(item: EuiDropdownButtonMenuItem)`
Calls the event emitter to emit the nested item Parameters :
Name | Type | Optional | Description
item | `EuiDropdownButtonMenuItem` | No | The menu item passed
Returns : `void`

onKeyDown
`onKeyDown(event: KeyboardEvent, item: EuiDropdownButtonMenuItem)`
checks the keys pressed and calls the event emitter to emit the nested item Parameters :
Name | Type | Optional | Description
event | `KeyboardEvent` | No | The key event that is pressed
item | `EuiDropdownButtonMenuItem` | No | The menu item passed
Returns : `void`

### Properties

Public childMenu
Type : `ElementRef<HTMLButtonElement>`
Decorators : `@ViewChild('childMenu', {static: true})`

# result-matching ""

# No results matching ""